package uddi_org.service;

import java.util.HashSet;
import java.util.Iterator;

/**
 * @author faith
 *
 * May 13, 2007  12:22:39 AM
 *
 */
public class PendingTModel {
	
	private HashSet<TModelKey> pendingTModels;
	
	public PendingTModel()
	{
		this.pendingTModels = new HashSet<TModelKey>();
	}

	public void addTModel(TModelKey tmodelkey)
	{
		this.pendingTModels.add(tmodelkey);
	}
	
	public void removeTModel(TModelKey tmodelkey)
	{
		this.pendingTModels.remove(tmodelkey);
	}
	
	public boolean contains(TModelKey tmodelkey)
	{
		//return (this.pendingTModels.contains(tmodelkey));
		Iterator iter = this.pendingTModels.iterator();
		TModelKey tmodel = null;
		boolean found  = false;
		
		while((iter.hasNext()) && (found ==false))
		{
			tmodel = (TModelKey)iter.next();
			if(tmodel.equals(tmodelkey))
				found = true;
		}
		
		return found;
	}
	
	public void clear()
	{
		this.pendingTModels.clear();
	}
	
	public String toString()
	{
		String r = "\n "+this.pendingTModels.size()+" Pending TModels: ";
		Iterator iter = this.pendingTModels.iterator();
		TModelKey tmodel = null;

		while(iter.hasNext())
		{
			tmodel = (TModelKey)iter.next();
			r = r + "\n"+ tmodel.toString(); 
		}
		
		return r;
	}

	public HashSet<TModelKey> getPendingTModels() {
		return pendingTModels;
	}

	public void setPendingTModels(HashSet<TModelKey> pendingTModels) {
		this.pendingTModels = pendingTModels;
	}
	
}
