package uddi_org.uddi_client;

/**
 * @author faith
 *
 * Mar 2, 2007  6:16:17 PM
 * 
 * Service Group Context properties constants
 * 
 * tModel keys
 *
 */
public class ClientConstants {

	
	//canonical tModels
	
	public final static String WSDL_ENTITY_TYPE_TMODELKEY = 
		"uuid:6e090afa-33e5-36eb-81b7-1ca18373f457";

	public final static String WSDL_ENTITY_TYPE_KEYNAME = 
		"WSDL entity type";

	//values for the WSDL Entity Type tModel value set
	public static final String PORT_TYPE = "portType";
	public static final String BINDING = "binding";
	public static final String SERVICE = "service";
	public static final String PORT = "port";
	/////////////////////////////////////////////////////////////
	
	public final static String XML_NAMESPACE_TMODELKEY = 
		"uuid:d01987d1-ab2e-3013-9be2-2a66eb99d824";

	public final static String XML_NAMESPACE_KEYNAME = 
		"XML namespace";

	public final static String WSDL_PORTTYPE_REFERENCE_TMODELKEY = 
		"uuid:082b0851-25d8-303c-b332-f24a6d53e38e";

	public final static String WSDL_PORTTYPE_REFERENCE_KEYNAME = 
		"WSDL portType reference";

	///////////////////////////////////////////////////////////////////////
	public final static String PROTOCOL_CATEGORIZATION_TMODELKEY = 
		"uuid:4dc74177-7806-34d9-aecd-33c57dc3a865";

	public final static String PROTOCOL_CATEGORIZATION_KEYNAME = 
		"protocol";

	public final static String SOAP_PROTOCOL_TMODELKEY =
		"uddi:aa254698-93de-3870-8df3-a5c075d64a0e";
	
	public final static String SOAP_PROTOCOL_KEYNAME = "SOAP protocol";
	
	/////////////////////////////////////////////////////////////////////////
	public final static String TRANSPORT_CATEGORIZATION_TMODELKEY = 
		"uuid:e5c43936-86e4-37bf-8196-1d04b35c0099";

	public final static String TRANSPORT_CATEGORIZATION_KEYNAME = 
		"transport";

	public final static String HTTP_TRANSPORT_TMODELKEY = 
		" uuid:68DE9E80-AD09-469D-8A37-088422BFBC36" ;
	
	public final static String HTTP_TRANSPORT_KEYNAME = 
		"HTTP transport";
	///////////////////////////////////////////////////////////////////////
	public final static String XML_LOCAL_NAME_TMODELKEY = 
		"uuid:2ec65201-9109-3919-9bec-c9dbefcaccf6";

	public final static String XML_LOCAL_NAME_KEYNAME = 
		"XML local name";

	/////////////////////////////////////////////////////////////////////////
	public final static String WSDL_ADDRESS_TMODELKEY =
		"uuid:ad61de98-4db8-31b2-a299-a2373dc97212";
	
	//////////////////////////////////////////////////////////////////////////
	public final static String UDDI_ORG_TYPES_TMODELKEY =
		"uuid:C1ACF26D-9672-4404-9D70-39B756E62AB4";
	
	public final static String UDDI_ORG_TYPES_KEYNAME = "uddi-org:types";
	public final static String WSDL_SPEC = "wsdlSpec";
	
	//values for the tModel value set
	public final static String SPECIFICATION = "specification";
	
	///////////////////////////////////////////////////////////////////////////
	
	//reference to the SSM specification tModel
	
	public final static String SSM_SPECIFICATION_TMODELKEY = 
		"uuid:34D58A00-F412-11DB-8A00-DF2718AD4752";
		
	public final static String SSM_SPECIFICATION_KEYNAME = "behavior specification";
	
	//value set
	public final static String SSM = "SSM";
	//////////////////////////////////////////////////////////////////////////
	
	public final static String SSM_REFERENCE_TMODELKEY =
		"uuid:86564130-F412-11DB-8130-E11CB85320D8";
	
	public final static String SSM_REFERENCE_KEYNAME = "SSM reference";
	///////////////////////////////////////////////////////////////////////////
	
}
