package uddi_org.service;

import java.util.HashSet;
import java.util.Iterator;

/**
 * @author faith
 *
 * May 13, 2007  12:31:17 AM
 *
 */
public class PendingBindingTemplate {
	
	private HashSet<ServiceId> pendingBindingTemplates;
	
	public PendingBindingTemplate()
	{
		this.pendingBindingTemplates = new HashSet<ServiceId>();
	}
	
	public void addBinding(ServiceId serviceid)
	{
		this.pendingBindingTemplates.add(serviceid);
	}
	
	public void removeBinding(ServiceId serviceid)
	{
		this.pendingBindingTemplates.remove(serviceid);
	}
	
	public boolean contains(ServiceId serviceid)
	{
		return this.pendingBindingTemplates.contains(serviceid);
	}
	
	public void clear()
	{
		this.pendingBindingTemplates.clear();
	}
	
	public String toString()
	{
		String r = "\n "+this.pendingBindingTemplates.size()+" Pending services: ";
		Iterator iter = this.pendingBindingTemplates.iterator();
		ServiceId service = null;

		while(iter.hasNext())
		{
			service = (ServiceId) iter.next();
			r = r + "\n"+ service.toString(); 
		}
		return r;
	}

	public HashSet<ServiceId> getPendingBindingTemplates() {
		return pendingBindingTemplates;
	}

	public void setPendingBindingTemplates(
			HashSet<ServiceId> pendingBindingTemplates) {
		this.pendingBindingTemplates = pendingBindingTemplates;
	}

}
