package uddi_org.service;

import org.uddi4j.datatype.binding.AccessPoint;

/**
 * @author faith
 *
 * Mar 13, 2007  6:59:53 PM
 * 
 * ServiceId.java
 */
public class ServiceId {
	
	/**
	 * the wsa:From field in soapHeader
	 * maybe an EndpointReference?
	 */
	private String uri;
	
	/**
	 * ignored for now
	 */
	private String bindingType;
	
	//add more bindings TODO
	static final String SOAP = "soap";
	static final String HTTP = "http";
	
	public ServiceId(String uri)
	{
		this.uri = uri;
	}

	public ServiceId(String uri, String bindingType)
	{
		this.uri = uri;
		this.bindingType = bindingType;
	}
	public ServiceId(AccessPoint a)
	{
		this.uri = a.getText();
		//this.bindingType = a.getURLType();
	}

	public String toString()
	{
		return "serviceid: uri:"+this.uri + " binding type: "+ this.bindingType ;
	}
	
	public String getBindingType() {
		return bindingType;
	}

	public void setBindingType(String bindingType) {
		this.bindingType = bindingType;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}
	
	public boolean equals(ServiceId s)
	{
		boolean uri = this.uri.equalsIgnoreCase(s.getUri());
		//boolean bind = this.bindingType.equals(s.getBindingType());
		boolean bind = true;
		
		return uri && bind;
	}


}
