package uddi_org.uddi_client;

import javax.xml.namespace.QName;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;
import org.apache.axis2.AxisFault;
import org.apache.axis2.addressing.EndpointReference;
import org.apache.axis2.client.Options;
import org.apache.axis2.client.ServiceClient;
import org.apache.axis2.rpc.client.RPCServiceClient;

public class AmbitionWScall {

/*	public static void main(String[]args) {

		try{

			EndpointReference epr = new EndpointReference("http://localhost:8050");

			Options options = new Options();
			options.setTo(epr);
			options.setFrom(epr);
			options.setAction("test");

			RPCServiceClient sender = new RPCServiceClient();
			sender.setOptions(options);
			sender.engageModule(new QName(org.apache.axis2.Constants.MODULE_ADDRESSING));

			QName opAdd = new QName("http://Ambition2/", "test");

			String ssmURL = "http://cs.tu-berlin.de/~lf/supplier1_1.xml";
			System.out.println("Ambition par 1: "+ssmURL);

			String wsdlURL = "http://pc-dispo5:8080/PlasticApplications/Supplier1Service?WSDL";
			System.out.println("Ambition par 2: "+wsdlURL);

			String sname = "Supplier1Service";
			System.out.println("Ambition par 3: "+sname);

			String pname = "Supplier1Port";
			System.out.println("Ambition par 4: "+pname);

			Object[] params = new Object[] {ssmURL, wsdlURL, sname, pname};
			Class[] returnTypes = new Class[] { Boolean.class };

			System.out.println("ready to invoke ambition");
			Object[] response = null;
			try {
				response = sender.invokeBlocking(opAdd, params, returnTypes);
			}catch(Exception e ) {e.printStackTrace(); //System.out.println("Ex while invoking AMBITION service");
			
			}

			Boolean res = (Boolean) response[0];

			boolean testingResult = res.booleanValue();

			System.out.println("Ambition test result  : "+res);

		}catch(Exception e) {System.out.println("Ex ");}

	}*/

	
	public static void main(String[] args)
	{
		Options options = new Options();
		//EndpointReference ref = new EndpointReference("http://localhost:8050");
		EndpointReference ref = new EndpointReference("http://pc-dispo5.isti.cnr.it:8080/Ambition2/AmbitionService");
		options.setTo(ref);
		EndpointReference from = new EndpointReference("http://nb-ciotti.isti.cnr.it:8080/Client1");
		options.setFrom(from);
		String ssmURL = "http://cs.tu-berlin.de/~lf/supplier1_1.xml";
		String wsdlURL = "http://pc-dispo5.isti.cnr.it:8080/PlasticApplications/Supplier1Service?WSDL";
		String sname = "Supplier1Service";
		String pname = "Supplier1Port";

		try{
			ServiceClient serviceClient = new ServiceClient();
			serviceClient.setOptions(options);
			OMFactory fac = OMAbstractFactory.getOMFactory();
			
			String ns = "http://Ambition2/";
			String prefix ="ns1";
			
			String ns1 = "";
			String prefix1="";
			
			OMNamespace omNs = fac.createOMNamespace(ns, prefix);
			OMNamespace omNs1 = fac.createOMNamespace(ns1, prefix1);
			
			String opStr = "test";
			OMElement payload = fac.createOMElement(opStr, omNs);
			
			OMElement param1 = fac.createOMElement("ssmURL", omNs1);
			OMElement param2 = fac.createOMElement("wsdlURL", omNs1);
			OMElement param3 = fac.createOMElement("serviceName", omNs1);
			OMElement param4 = fac.createOMElement("portName", omNs1);
			
			param1.setText(ssmURL);
			param2.setText(wsdlURL);
			param3.setText(sname);
			param4.setText(pname);
			
			
			payload.addChild(param1);
			payload.addChild(param2);
			payload.addChild(param3);
			payload.addChild(param4);
			
			
			serviceClient.setOptions(options);
			OMElement result = serviceClient.sendReceive(payload);
			//System.out.println("res "+result.getText());
			QName qn = new QName("return");
			OMElement retur = result.getFirstChildWithName(qn);
			//System.out.println(retur.getText());
			String ret = new String(retur.getText());
			boolean re = true;
			
			if (ret.equals("true"))
				re = true;
			else
				re = false;
				
			
			System.out.println(re);
			
		}catch(AxisFault af){af.printStackTrace();}
		
	}

	
	/*public static void main(String[] args)
	{
		try{
		EndpointReference epr = new EndpointReference("http://localhost:8080/axis2/services/Version/");
		
		Options options = new Options();
		options.setTo(epr);
		options.setFrom(epr);
		options.setAction("getVersion");

		RPCServiceClient sender = new RPCServiceClient();
		sender.setOptions(options);
		sender.engageModule(new QName(org.apache.axis2.Constants.MODULE_ADDRESSING));

		QName opAdd = new QName("http://axisversion.sample/xsd", "getVersion");
		String a = new String("");
	
		Object[] params = new Object[] { };
		Class[] returnTypes = new Class[] { String.class };
		
		Object[] response = sender.invokeBlocking(opAdd, params, returnTypes);
		String version = (String) response[0];

		
		System.out.println("version : "+version);
		}catch(Exception e) {e.printStackTrace(); System.out.println("Ex ");}
	}
*/
}
